"use strict";
var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __commonJS = (cb, mod) => function __require() {
  return mod || (0, cb[__getOwnPropNames(cb)[0]])((mod = { exports: {} }).exports, mod), mod.exports;
};
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// node_modules/use-sync-external-store/cjs/use-sync-external-store-shim.production.min.js
var require_use_sync_external_store_shim_production_min = __commonJS({
  "node_modules/use-sync-external-store/cjs/use-sync-external-store-shim.production.min.js"(exports2) {
    "use strict";
    var e = require("react");
    function h(a, b) {
      return a === b && (0 !== a || 1 / a === 1 / b) || a !== a && b !== b;
    }
    var k = "function" === typeof Object.is ? Object.is : h;
    var l = e.useState;
    var m = e.useEffect;
    var n = e.useLayoutEffect;
    var p = e.useDebugValue;
    function q(a, b) {
      var d = b(), f = l({ inst: { value: d, getSnapshot: b } }), c = f[0].inst, g = f[1];
      n(function() {
        c.value = d;
        c.getSnapshot = b;
        r(c) && g({ inst: c });
      }, [a, d, b]);
      m(function() {
        r(c) && g({ inst: c });
        return a(function() {
          r(c) && g({ inst: c });
        });
      }, [a]);
      p(d);
      return d;
    }
    function r(a) {
      var b = a.getSnapshot;
      a = a.value;
      try {
        var d = b();
        return !k(a, d);
      } catch (f) {
        return true;
      }
    }
    function t(a, b) {
      return b();
    }
    var u = "undefined" === typeof window || "undefined" === typeof window.document || "undefined" === typeof window.document.createElement ? t : q;
    exports2.useSyncExternalStore = void 0 !== e.useSyncExternalStore ? e.useSyncExternalStore : u;
  }
});

// node_modules/use-sync-external-store/cjs/use-sync-external-store-shim.development.js
var require_use_sync_external_store_shim_development = __commonJS({
  "node_modules/use-sync-external-store/cjs/use-sync-external-store-shim.development.js"(exports2) {
    "use strict";
    if (process.env.NODE_ENV !== "production") {
      (function() {
        "use strict";
        if (typeof __REACT_DEVTOOLS_GLOBAL_HOOK__ !== "undefined" && typeof __REACT_DEVTOOLS_GLOBAL_HOOK__.registerInternalModuleStart === "function") {
          __REACT_DEVTOOLS_GLOBAL_HOOK__.registerInternalModuleStart(new Error());
        }
        var React9 = require("react");
        var ReactSharedInternals = React9.__SECRET_INTERNALS_DO_NOT_USE_OR_YOU_WILL_BE_FIRED;
        function error(format) {
          {
            {
              for (var _len2 = arguments.length, args = new Array(_len2 > 1 ? _len2 - 1 : 0), _key2 = 1; _key2 < _len2; _key2++) {
                args[_key2 - 1] = arguments[_key2];
              }
              printWarning("error", format, args);
            }
          }
        }
        function printWarning(level, format, args) {
          {
            var ReactDebugCurrentFrame = ReactSharedInternals.ReactDebugCurrentFrame;
            var stack = ReactDebugCurrentFrame.getStackAddendum();
            if (stack !== "") {
              format += "%s";
              args = args.concat([stack]);
            }
            var argsWithFormat = args.map(function(item) {
              return String(item);
            });
            argsWithFormat.unshift("Warning: " + format);
            Function.prototype.apply.call(console[level], console, argsWithFormat);
          }
        }
        function is(x, y) {
          return x === y && (x !== 0 || 1 / x === 1 / y) || x !== x && y !== y;
        }
        var objectIs = typeof Object.is === "function" ? Object.is : is;
        var useState5 = React9.useState, useEffect4 = React9.useEffect, useLayoutEffect = React9.useLayoutEffect, useDebugValue2 = React9.useDebugValue;
        var didWarnOld18Alpha = false;
        var didWarnUncachedGetSnapshot = false;
        function useSyncExternalStore(subscribe, getSnapshot, getServerSnapshot) {
          {
            if (!didWarnOld18Alpha) {
              if (React9.startTransition !== void 0) {
                didWarnOld18Alpha = true;
                error("You are using an outdated, pre-release alpha of React 18 that does not support useSyncExternalStore. The use-sync-external-store shim will not work correctly. Upgrade to a newer pre-release.");
              }
            }
          }
          var value = getSnapshot();
          {
            if (!didWarnUncachedGetSnapshot) {
              var cachedValue = getSnapshot();
              if (!objectIs(value, cachedValue)) {
                error("The result of getSnapshot should be cached to avoid an infinite loop");
                didWarnUncachedGetSnapshot = true;
              }
            }
          }
          var _useState = useState5({
            inst: {
              value,
              getSnapshot
            }
          }), inst = _useState[0].inst, forceUpdate = _useState[1];
          useLayoutEffect(function() {
            inst.value = value;
            inst.getSnapshot = getSnapshot;
            if (checkIfSnapshotChanged(inst)) {
              forceUpdate({
                inst
              });
            }
          }, [subscribe, value, getSnapshot]);
          useEffect4(function() {
            if (checkIfSnapshotChanged(inst)) {
              forceUpdate({
                inst
              });
            }
            var handleStoreChange = function() {
              if (checkIfSnapshotChanged(inst)) {
                forceUpdate({
                  inst
                });
              }
            };
            return subscribe(handleStoreChange);
          }, [subscribe]);
          useDebugValue2(value);
          return value;
        }
        function checkIfSnapshotChanged(inst) {
          var latestGetSnapshot = inst.getSnapshot;
          var prevValue = inst.value;
          try {
            var nextValue = latestGetSnapshot();
            return !objectIs(prevValue, nextValue);
          } catch (error2) {
            return true;
          }
        }
        function useSyncExternalStore$1(subscribe, getSnapshot, getServerSnapshot) {
          return getSnapshot();
        }
        var canUseDOM = !!(typeof window !== "undefined" && typeof window.document !== "undefined" && typeof window.document.createElement !== "undefined");
        var isServerEnvironment = !canUseDOM;
        var shim = isServerEnvironment ? useSyncExternalStore$1 : useSyncExternalStore;
        var useSyncExternalStore$2 = React9.useSyncExternalStore !== void 0 ? React9.useSyncExternalStore : shim;
        exports2.useSyncExternalStore = useSyncExternalStore$2;
        if (typeof __REACT_DEVTOOLS_GLOBAL_HOOK__ !== "undefined" && typeof __REACT_DEVTOOLS_GLOBAL_HOOK__.registerInternalModuleStop === "function") {
          __REACT_DEVTOOLS_GLOBAL_HOOK__.registerInternalModuleStop(new Error());
        }
      })();
    }
  }
});

// node_modules/use-sync-external-store/shim/index.js
var require_shim = __commonJS({
  "node_modules/use-sync-external-store/shim/index.js"(exports2, module2) {
    "use strict";
    if (process.env.NODE_ENV === "production") {
      module2.exports = require_use_sync_external_store_shim_production_min();
    } else {
      module2.exports = require_use_sync_external_store_shim_development();
    }
  }
});

// node_modules/use-sync-external-store/cjs/use-sync-external-store-shim/with-selector.production.min.js
var require_with_selector_production_min = __commonJS({
  "node_modules/use-sync-external-store/cjs/use-sync-external-store-shim/with-selector.production.min.js"(exports2) {
    "use strict";
    var h = require("react");
    var n = require_shim();
    function p(a, b) {
      return a === b && (0 !== a || 1 / a === 1 / b) || a !== a && b !== b;
    }
    var q = "function" === typeof Object.is ? Object.is : p;
    var r = n.useSyncExternalStore;
    var t = h.useRef;
    var u = h.useEffect;
    var v = h.useMemo;
    var w = h.useDebugValue;
    exports2.useSyncExternalStoreWithSelector = function(a, b, e, l, g) {
      var c = t(null);
      if (null === c.current) {
        var f = { hasValue: false, value: null };
        c.current = f;
      } else
        f = c.current;
      c = v(function() {
        function a2(a3) {
          if (!c2) {
            c2 = true;
            d2 = a3;
            a3 = l(a3);
            if (void 0 !== g && f.hasValue) {
              var b2 = f.value;
              if (g(b2, a3))
                return k = b2;
            }
            return k = a3;
          }
          b2 = k;
          if (q(d2, a3))
            return b2;
          var e2 = l(a3);
          if (void 0 !== g && g(b2, e2))
            return b2;
          d2 = a3;
          return k = e2;
        }
        var c2 = false, d2, k, m = void 0 === e ? null : e;
        return [function() {
          return a2(b());
        }, null === m ? void 0 : function() {
          return a2(m());
        }];
      }, [b, e, l, g]);
      var d = r(a, c[0], c[1]);
      u(function() {
        f.hasValue = true;
        f.value = d;
      }, [d]);
      w(d);
      return d;
    };
  }
});

// node_modules/use-sync-external-store/cjs/use-sync-external-store-shim/with-selector.development.js
var require_with_selector_development = __commonJS({
  "node_modules/use-sync-external-store/cjs/use-sync-external-store-shim/with-selector.development.js"(exports2) {
    "use strict";
    if (process.env.NODE_ENV !== "production") {
      (function() {
        "use strict";
        if (typeof __REACT_DEVTOOLS_GLOBAL_HOOK__ !== "undefined" && typeof __REACT_DEVTOOLS_GLOBAL_HOOK__.registerInternalModuleStart === "function") {
          __REACT_DEVTOOLS_GLOBAL_HOOK__.registerInternalModuleStart(new Error());
        }
        var React9 = require("react");
        var shim = require_shim();
        function is(x, y) {
          return x === y && (x !== 0 || 1 / x === 1 / y) || x !== x && y !== y;
        }
        var objectIs = typeof Object.is === "function" ? Object.is : is;
        var useSyncExternalStore = shim.useSyncExternalStore;
        var useRef2 = React9.useRef, useEffect4 = React9.useEffect, useMemo = React9.useMemo, useDebugValue2 = React9.useDebugValue;
        function useSyncExternalStoreWithSelector2(subscribe, getSnapshot, getServerSnapshot, selector, isEqual) {
          var instRef = useRef2(null);
          var inst;
          if (instRef.current === null) {
            inst = {
              hasValue: false,
              value: null
            };
            instRef.current = inst;
          } else {
            inst = instRef.current;
          }
          var _useMemo = useMemo(function() {
            var hasMemo = false;
            var memoizedSnapshot;
            var memoizedSelection;
            var memoizedSelector = function(nextSnapshot) {
              if (!hasMemo) {
                hasMemo = true;
                memoizedSnapshot = nextSnapshot;
                var _nextSelection = selector(nextSnapshot);
                if (isEqual !== void 0) {
                  if (inst.hasValue) {
                    var currentSelection = inst.value;
                    if (isEqual(currentSelection, _nextSelection)) {
                      memoizedSelection = currentSelection;
                      return currentSelection;
                    }
                  }
                }
                memoizedSelection = _nextSelection;
                return _nextSelection;
              }
              var prevSnapshot = memoizedSnapshot;
              var prevSelection = memoizedSelection;
              if (objectIs(prevSnapshot, nextSnapshot)) {
                return prevSelection;
              }
              var nextSelection = selector(nextSnapshot);
              if (isEqual !== void 0 && isEqual(prevSelection, nextSelection)) {
                return prevSelection;
              }
              memoizedSnapshot = nextSnapshot;
              memoizedSelection = nextSelection;
              return nextSelection;
            };
            var maybeGetServerSnapshot = getServerSnapshot === void 0 ? null : getServerSnapshot;
            var getSnapshotWithSelector = function() {
              return memoizedSelector(getSnapshot());
            };
            var getServerSnapshotWithSelector = maybeGetServerSnapshot === null ? void 0 : function() {
              return memoizedSelector(maybeGetServerSnapshot());
            };
            return [getSnapshotWithSelector, getServerSnapshotWithSelector];
          }, [getSnapshot, getServerSnapshot, selector, isEqual]), getSelection = _useMemo[0], getServerSelection = _useMemo[1];
          var value = useSyncExternalStore(subscribe, getSelection, getServerSelection);
          useEffect4(function() {
            inst.hasValue = true;
            inst.value = value;
          }, [value]);
          useDebugValue2(value);
          return value;
        }
        exports2.useSyncExternalStoreWithSelector = useSyncExternalStoreWithSelector2;
        if (typeof __REACT_DEVTOOLS_GLOBAL_HOOK__ !== "undefined" && typeof __REACT_DEVTOOLS_GLOBAL_HOOK__.registerInternalModuleStop === "function") {
          __REACT_DEVTOOLS_GLOBAL_HOOK__.registerInternalModuleStop(new Error());
        }
      })();
    }
  }
});

// node_modules/use-sync-external-store/shim/with-selector.js
var require_with_selector = __commonJS({
  "node_modules/use-sync-external-store/shim/with-selector.js"(exports2, module2) {
    "use strict";
    if (process.env.NODE_ENV === "production") {
      module2.exports = require_with_selector_production_min();
    } else {
      module2.exports = require_with_selector_development();
    }
  }
});

// src/index.ts
var src_exports = {};
__export(src_exports, {
  default: () => src_default
});
module.exports = __toCommonJS(src_exports);

// src/components/AutoComplete.tsx
var import_react11 = __toESM(require("react"));

// src/components/DesktopAutoComplete.tsx
var import_react6 = __toESM(require("react"));

// src/hooks/useGetDetailsList.ts
var import_react = require("react");
function useGetDetailsList(value, getListDetails) {
  const [list, setList] = (0, import_react.useState)([]);
  (0, import_react.useEffect)(() => {
    const controller = new AbortController();
    const signal = controller.signal;
    (async function fetchData() {
      try {
        const data = await getListDetails({ inputValue: value, signal });
        setList(data);
      } catch (error) {
        throw new Error(error);
      }
    })();
    return () => {
      controller.abort();
    };
  }, [value]);
  return list;
}
var useGetDetailsList_default = useGetDetailsList;

// src/hooks/useOutSideClick.ts
var import_react2 = require("react");
function useOutSideClick(ref, exeptionId, callBack) {
  (0, import_react2.useEffect)(() => {
    const handleClick = (event) => {
      if (ref.current && !ref.current.contains(event.target) && event.target.id !== exeptionId) {
        callBack();
      }
    };
    document.addEventListener("mousedown", handleClick);
    return () => {
      document.removeEventListener("mousedown", handleClick);
    };
  }, [ref, callBack]);
}
var useOutSideClick_default = useOutSideClick;

// src/components/SearchList.tsx
var import_react5 = __toESM(require("react"));

// src/components/ListItem.tsx
var import_react4 = __toESM(require("react"));

// src/icons/MapPin.tsx
var import_react3 = __toESM(require("react"));
var MapPin = () => {
  return /* @__PURE__ */ import_react3.default.createElement(
    "svg",
    {
      xmlns: "http://www.w3.org/2000/svg",
      fill: "none",
      viewBox: "0 0 24 24",
      strokeWidth: 1.5,
      stroke: "currentColor",
      className: "s-w-6 s-h-6"
    },
    /* @__PURE__ */ import_react3.default.createElement(
      "path",
      {
        strokeLinecap: "round",
        strokeLinejoin: "round",
        d: "M15 10.5a3 3 0 1 1-6 0 3 3 0 0 1 6 0Z"
      }
    ),
    /* @__PURE__ */ import_react3.default.createElement(
      "path",
      {
        strokeLinecap: "round",
        strokeLinejoin: "round",
        d: "M19.5 10.5c0 7.142-7.5 11.25-7.5 11.25S4.5 17.642 4.5 10.5a7.5 7.5 0 1 1 15 0Z"
      }
    )
  );
};

// src/components/ListItem.tsx
var ListItem = ({
  title,
  category,
  description,
  hasSeperator = true,
  onClick,
  icon
}) => {
  return /* @__PURE__ */ import_react4.default.createElement(
    "li",
    {
      onClick,
      className: `drawer__list--item${hasSeperator ? " seperator" : ""}`
    },
    /* @__PURE__ */ import_react4.default.createElement("div", { className: "s-flex s-items-center s-gap-2" }, icon ? /* @__PURE__ */ import_react4.default.createElement("span", { className: "drawer__list--item-icon" }, icon) : /* @__PURE__ */ import_react4.default.createElement("span", { className: "drawer__list--item-icon" }, /* @__PURE__ */ import_react4.default.createElement(MapPin, null)), /* @__PURE__ */ import_react4.default.createElement("div", { className: "s-flex s-flex-col" }, /* @__PURE__ */ import_react4.default.createElement("span", { className: "s-text-sm s-font-medium s-truncate" }, title), /* @__PURE__ */ import_react4.default.createElement("span", { className: "s-text-xs s-font-light s-truncate" }, description))),
    /* @__PURE__ */ import_react4.default.createElement("span", { className: "s-text-gray-500 s-font-medium s-text-xs" }, category)
  );
};
var ListItem_default = ListItem;

// src/components/SearchList.tsx
var SearchList = ({ data, onClickToSetValue }) => {
  return /* @__PURE__ */ import_react5.default.createElement("ul", { className: "s-w-full s-flex s-flex-col" }, data.map((item, index) => /* @__PURE__ */ import_react5.default.createElement(
    ListItem_default,
    {
      key: index,
      title: item.title,
      category: item.category,
      description: item.description,
      hasSeperator: index !== 0,
      onClick: () => onClickToSetValue(item),
      icon: item.icon
    }
  )));
};
var SearchList_default = SearchList;

// src/components/DesktopAutoComplete.tsx
function DesktopAutoComplete({
  getListDetails,
  inputConfigs,
  onChangeValue
}) {
  const uniqId = (0, import_react6.useId)();
  const wrapperRef = (0, import_react6.useRef)(null);
  const [isOpen, setIsOpen] = (0, import_react6.useState)(false);
  const [value, setValue] = (0, import_react6.useState)("");
  const list = useGetDetailsList_default(value, getListDetails);
  useOutSideClick_default(wrapperRef, "searchInput", () => setIsOpen(false));
  const {
    inputClassName = "",
    inputName,
    inputPlaceholder,
    inputType = "text",
    ...rest
  } = inputConfigs;
  return /* @__PURE__ */ import_react6.default.createElement("div", { ref: wrapperRef, className: "s-w-full s-block s-relative" }, /* @__PURE__ */ import_react6.default.createElement(
    "input",
    {
      id: uniqId,
      value,
      autoComplete: "off",
      onChange: (e) => {
        setValue(e.target.value);
        !isOpen && setIsOpen(true);
      },
      type: inputType,
      name: inputName,
      className: inputClassName,
      placeholder: inputPlaceholder,
      onFocus: () => setIsOpen(true),
      onClick: () => setIsOpen(true),
      ...rest
    }
  ), /* @__PURE__ */ import_react6.default.createElement(
    "div",
    {
      className: `s-w-full s-bg-white s-border-2 s-border-gray-200 s-shadow-sm s-absolute s-top-full s-left-0 s-transition s-duration-200 s-rounded-lg ${isOpen ? "s-translate-y-1 s-visible s-opacity-100 s-overflow-hidden" : "-s-translate-y-5 s-invisible s-opacity-0"}`
    },
    /* @__PURE__ */ import_react6.default.createElement(
      SearchList_default,
      {
        data: list,
        onClickToSetValue: (value2) => {
          onChangeValue && onChangeValue(value2);
          setValue(value2.title);
          setIsOpen(false);
        }
      }
    )
  ));
}
var DesktopAutoComplete_default = DesktopAutoComplete;

// src/components/MobileAutoComplete.tsx
var import_react10 = __toESM(require("react"));

// src/components/Drawer.tsx
var import_react9 = __toESM(require("react"));

// node_modules/zustand/esm/vanilla.mjs
var import_meta = {};
var createStoreImpl = (createState) => {
  let state;
  const listeners = /* @__PURE__ */ new Set();
  const setState = (partial, replace) => {
    const nextState = typeof partial === "function" ? partial(state) : partial;
    if (!Object.is(nextState, state)) {
      const previousState = state;
      state = (replace != null ? replace : typeof nextState !== "object" || nextState === null) ? nextState : Object.assign({}, state, nextState);
      listeners.forEach((listener) => listener(state, previousState));
    }
  };
  const getState = () => state;
  const getInitialState = () => initialState;
  const subscribe = (listener) => {
    listeners.add(listener);
    return () => listeners.delete(listener);
  };
  const destroy = () => {
    if ((import_meta.env ? import_meta.env.MODE : void 0) !== "production") {
      console.warn(
        "[DEPRECATED] The `destroy` method will be unsupported in a future version. Instead use unsubscribe function returned by subscribe. Everything will be garbage-collected if store is garbage-collected."
      );
    }
    listeners.clear();
  };
  const api = { setState, getState, getInitialState, subscribe, destroy };
  const initialState = state = createState(setState, getState, api);
  return api;
};
var createStore = (createState) => createState ? createStoreImpl(createState) : createStoreImpl;

// node_modules/zustand/esm/index.mjs
var import_react7 = __toESM(require("react"), 1);
var import_with_selector = __toESM(require_with_selector(), 1);
var import_meta2 = {};
var { useDebugValue } = import_react7.default;
var { useSyncExternalStoreWithSelector } = import_with_selector.default;
var didWarnAboutEqualityFn = false;
var identity = (arg) => arg;
function useStore(api, selector = identity, equalityFn) {
  if ((import_meta2.env ? import_meta2.env.MODE : void 0) !== "production" && equalityFn && !didWarnAboutEqualityFn) {
    console.warn(
      "[DEPRECATED] Use `createWithEqualityFn` instead of `create` or use `useStoreWithEqualityFn` instead of `useStore`. They can be imported from 'zustand/traditional'. https://github.com/pmndrs/zustand/discussions/1937"
    );
    didWarnAboutEqualityFn = true;
  }
  const slice = useSyncExternalStoreWithSelector(
    api.subscribe,
    api.getState,
    api.getServerState || api.getInitialState,
    selector,
    equalityFn
  );
  useDebugValue(slice);
  return slice;
}
var createImpl = (createState) => {
  if ((import_meta2.env ? import_meta2.env.MODE : void 0) !== "production" && typeof createState !== "function") {
    console.warn(
      "[DEPRECATED] Passing a vanilla store will be unsupported in a future version. Instead use `import { useStore } from 'zustand'`."
    );
  }
  const api = typeof createState === "function" ? createStore(createState) : createState;
  const useBoundStore = (selector, equalityFn) => useStore(api, selector, equalityFn);
  Object.assign(useBoundStore, api);
  return useBoundStore;
};
var create = (createState) => createState ? createImpl(createState) : createImpl;

// src/hooks/useDrawer.ts
var useDrawer = create((set) => ({
  isOpen: false,
  onOpen: () => set({ isOpen: true }),
  onClose: () => set({ isOpen: false })
}));
var useDrawer_default = useDrawer;

// src/icons/LongArrow.tsx
var import_react8 = __toESM(require("react"));
var LongArrow = () => {
  return /* @__PURE__ */ import_react8.default.createElement(
    "svg",
    {
      xmlns: "http://www.w3.org/2000/svg",
      fill: "none",
      viewBox: "0 0 24 24",
      strokeWidth: 1.5,
      stroke: "currentColor",
      className: "s-w-6 s-h-6"
    },
    /* @__PURE__ */ import_react8.default.createElement(
      "path",
      {
        strokeLinecap: "round",
        strokeLinejoin: "round",
        d: "M17.25 8.25 21 12m0 0-3.75 3.75M21 12H3"
      }
    )
  );
};

// src/components/Drawer.tsx
function Drawer({
  getListDetails,
  headerConfigs,
  inputConfigs,
  onChangeValue
}) {
  const uniqId = (0, import_react9.useId)();
  const { isOpen, onClose } = useDrawer_default();
  const [value, setValue] = (0, import_react9.useState)("");
  const list = useGetDetailsList_default(value, getListDetails);
  const { headerClassName = "", headerTitle = "\u0639\u0646\u0648\u0627\u0646 \u0633\u0631\u0628\u0631\u06AF" } = headerConfigs;
  function handleClickToSetValue(list2) {
    onChangeValue && onChangeValue(list2);
    setValue(list2.title);
  }
  return /* @__PURE__ */ import_react9.default.createElement(DrawerProvider, { isOpen, onClose }, /* @__PURE__ */ import_react9.default.createElement("aside", { className: `drawer${isOpen ? " active" : ""} ${headerClassName}` }, /* @__PURE__ */ import_react9.default.createElement("div", { className: "s-bg-white s-overflow-y-auto s-h-screen s-block s-overflow-auto" }, /* @__PURE__ */ import_react9.default.createElement("div", { className: "drawer__header s-mb-2" }, /* @__PURE__ */ import_react9.default.createElement("button", { type: "button", onClick: onClose }, /* @__PURE__ */ import_react9.default.createElement(LongArrow, null)), /* @__PURE__ */ import_react9.default.createElement("strong", { className: "s-text-base s-font-semibold" }, headerTitle)), /* @__PURE__ */ import_react9.default.createElement("div", { className: "drawer__list" }, /* @__PURE__ */ import_react9.default.createElement(
    "input",
    {
      id: uniqId,
      value,
      autoComplete: "off",
      onChange: (e) => setValue(e.target.value),
      type: inputConfigs == null ? void 0 : inputConfigs.inputType,
      name: inputConfigs == null ? void 0 : inputConfigs.inputName,
      className: inputConfigs == null ? void 0 : inputConfigs.inputClassName,
      placeholder: inputConfigs == null ? void 0 : inputConfigs.inputPlaceholder
    }
  ), /* @__PURE__ */ import_react9.default.createElement(
    SearchList_default,
    {
      onClickToSetValue: handleClickToSetValue,
      data: list
    }
  )))));
}
function DrawerProvider({
  children,
  onClose,
  isOpen
}) {
  return /* @__PURE__ */ import_react9.default.createElement(import_react9.default.Fragment, null, isOpen ? /* @__PURE__ */ import_react9.default.createElement("div", { className: "overlay", onClick: onClose }) : null, children);
}
var Drawer_default = Drawer;

// src/components/MobileAutoComplete.tsx
function MobileAutoComplete({
  getListDetails,
  inputConfigs,
  headerConfigs,
  onChangeValue
}) {
  const { onOpen } = useDrawer_default();
  const {
    inputClassName = "",
    inputName,
    inputPlaceholder,
    inputType = "text",
    ...rest
  } = inputConfigs;
  return /* @__PURE__ */ import_react10.default.createElement(import_react10.default.Fragment, null, /* @__PURE__ */ import_react10.default.createElement(
    "input",
    {
      className: inputClassName,
      placeholder: inputPlaceholder,
      onFocus: onOpen,
      autoComplete: "off",
      ...rest
    }
  ), /* @__PURE__ */ import_react10.default.createElement(
    Drawer_default,
    {
      inputConfigs,
      headerConfigs,
      getListDetails,
      onChangeValue
    }
  ));
}
var MobileAutoComplete_default = MobileAutoComplete;

// src/components/AutoComplete.tsx
function AutoComplete({
  getListDetails,
  headerConfigs = {},
  inputConfigs = {},
  onChangeValue
}) {
  const [screenWidth, setScreenWidth] = (0, import_react11.useState)(window == null ? void 0 : window.innerWidth);
  const updateScreenWidth = () => {
    setScreenWidth(window == null ? void 0 : window.innerWidth);
  };
  (0, import_react11.useEffect)(() => {
    window.addEventListener("resize", updateScreenWidth);
    return () => {
      window.removeEventListener("resize", updateScreenWidth);
    };
  }, []);
  const renderElement = () => {
    if (screenWidth >= 768) {
      return /* @__PURE__ */ import_react11.default.createElement(
        DesktopAutoComplete_default,
        {
          onChangeValue,
          getListDetails,
          headerConfigs,
          inputConfigs
        }
      );
    } else {
      return /* @__PURE__ */ import_react11.default.createElement(
        MobileAutoComplete_default,
        {
          onChangeValue,
          getListDetails,
          headerConfigs,
          inputConfigs
        }
      );
    }
  };
  return renderElement();
}
var AutoComplete_default = AutoComplete;

// src/index.ts
var src_default = AutoComplete_default;
/*! Bundled license information:

use-sync-external-store/cjs/use-sync-external-store-shim.production.min.js:
  (**
   * @license React
   * use-sync-external-store-shim.production.min.js
   *
   * Copyright (c) Facebook, Inc. and its affiliates.
   *
   * This source code is licensed under the MIT license found in the
   * LICENSE file in the root directory of this source tree.
   *)

use-sync-external-store/cjs/use-sync-external-store-shim.development.js:
  (**
   * @license React
   * use-sync-external-store-shim.development.js
   *
   * Copyright (c) Facebook, Inc. and its affiliates.
   *
   * This source code is licensed under the MIT license found in the
   * LICENSE file in the root directory of this source tree.
   *)

use-sync-external-store/cjs/use-sync-external-store-shim/with-selector.production.min.js:
  (**
   * @license React
   * use-sync-external-store-shim/with-selector.production.min.js
   *
   * Copyright (c) Facebook, Inc. and its affiliates.
   *
   * This source code is licensed under the MIT license found in the
   * LICENSE file in the root directory of this source tree.
   *)

use-sync-external-store/cjs/use-sync-external-store-shim/with-selector.development.js:
  (**
   * @license React
   * use-sync-external-store-shim/with-selector.development.js
   *
   * Copyright (c) Facebook, Inc. and its affiliates.
   *
   * This source code is licensed under the MIT license found in the
   * LICENSE file in the root directory of this source tree.
   *)
*/
//# sourceMappingURL=index.js.map